<!DOCTYPE html>
<html lang="en">

<head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
</head>

<body>
        <script>
                /////function renderPrice
                let base = 100;
                let x = Object.entries(data)[1][1][0]
                console.log(typeof (x))
                let targetPriceArr = Object.entries(x)[1][1];

                function renderPrice() {
                        let nextPrice = Math.floor(Math.random() * 10);
                        if (Math.random() > 0.5) {
                                nextPrice *= -1;
                        }
                        base += nextPrice;

                        targetPriceArr.push(base);

                        console.log(targetPriceArr);



                }

                setInterval(renderPrice, 2000);

           
                ///function
                let targetDate = Object.entries(data)[0][1];
                function renderDate() {
                        const d = new Date()
                        targetDate.push(d)
                        // console.log(d);
                        console.log(targetDate);
                }

                setInterval(renderDate, 4000)




                setInterval(function(){
                        // generateNextData();
                        // settlement();
                        renderPrice()
                        renderDate()
                        cal()
                        

                },4000)



        
        </script>
</body>

</html>